%define anolis_release 1

%global pypi_name sip

Name:           sip
Version:        6.7.12
Release:        %{anolis_release}%{?dist}
Summary:        SIP - Python/C++ Bindings Generator
%py_provides    python3-sip

# code_generator/parser.{c.h} is GPLv2+ with exceptions (bison)
License:        (GPLv2 or GPLv3) and (GPLv2+ with exceptions)
URL:            https://www.riverbankcomputing.com/software/sip
Source0:        https://files.pythonhosted.org/packages/50/3a/ae9b9e36c7f1db92675b25f722ff7a8c3f6efd50817d5c946a7637dacd88/sip-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist packaging ply setuptools toml}

%global _description %{expand:
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries.  It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library.  For example it is also used to generate wxPython, the
Python bindings for wxWidgets.}

%description %_description

%prep
%autosetup -n %{pypi_name}-%{version} -p 1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%py3_check_import sipbuild sipbuild.distinfo sipbuild.module sipbuild.tools

%files
%doc README
%license LICENSE LICENSE-GPL2 LICENSE-GPL3
%{_bindir}/sip*
%{python3_sitearch}/sip-*
%{python3_sitearch}/sipbuild/

%changelog
* Thu Oct 19 2023 Funda Wang <fundawang@yeah.net> - 6.7.12-1
- New version 6.7.12

* Wed Jul 26 2023 Funda Wang <fundawang@yeah.net> - 6.7.10-1
- New version 6.7.10

* Sat Apr 22 2023 Funda Wang <fundawang@yeah.net> - 6.7.9-1
- New version 6.7.9

* Tue Apr 11 2023 Funda Wang <fundawang@yeah.net> - 6.7.8-1
- New version 6.7.8

* Sun Feb 12 2023 Funda Wang <fundawang@yeah.net> - 6.7.7-1
- New version 6.7.7

* Sun Jan 29 2023 Funda Wang <fundawang@yeah.net> - 6.7.6-1
- New version 6.7.6

* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 6.7.5-1
- Import 6.7.5
